Bug 609076 (CVE-2010-2092, MOPS-2010-023) - CVE-2010-2092 cacti: graph.php rra_id SQL injection vulnerability (MOPS-2010-023)
Summary: CVE-2010-2092 cacti: graph.php rra_id SQL injection vulnerability (MOPS-2010-...
Status: NEW
Alias: CVE-2010-2092, MOPS-2010-023
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=debian,report...
Keywords: Security
Depends On: 541684
Blocks: 595289
TreeView+ depends on / blocked
 
Reported: 2010-06-29 11:32 UTC by Tomas Hoger
Modified: 2015-07-27 13:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0635 normal SHIPPED_LIVE Important: Red Hat High Performance Computing (HPC) Solution 5.5 2010-08-20 02:42:21 UTC

Description Tomas Hoger 2010-06-29 11:32:38 UTC
SQL injection vulnerability in graph.php in Cacti 0.8.7e and earlier allows remote attackers to execute arbitrary SQL commands via the rra_id parameter in a GET request in conjunction with a valid rra_id value in a POST request or a cookie, which bypasses the validation routine.

References:
http://php-security.org/2010/05/13/mops-2010-023-cacti-graph-viewer-sql-injection-vulnerability/index.html
http://www.cacti.net/release_notes_0_8_7f.php

Upstream commit:
http://svn.cacti.net/viewvc?view=rev&revision=5920

Comment 2 Tomas Hoger 2010-06-29 11:43:45 UTC
Guest user privileges are sufficient to trigger this flaw.

Comment 3 errata-xmlrpc 2010-08-20 02:42:28 UTC
This issue has been addressed in following products:

  Red Hat HPC Solution for RHEL 5

Via RHSA-2010:0635 https://rhn.redhat.com/errata/RHSA-2010-0635.html


Note You need to log in before you can comment on or make changes to this bug.